﻿
@{
    ViewData["Title"] = "Index";
    Layout = "~/Views/Shared/_LayoutWithCompanyTabAndLeftMenu.cshtml";
}

<h2>Index</h2>
<link href="~/assets/css/avira-custom.css" rel="stylesheet" />
<script src="~/assets/plugins/jquery/jquery-3.3.1.min.js"></script>
<script src="~/assets/js/page-table-manage.demo.min.js"></script>

<div id="content" class="content">
    @*@Html.HiddenFor(Model => Model.ProjectId)*@
    <div class="section-container section-with-top-border">
        <div class="row">
            <div class="col-md-4">
                <h4>Qualitative Data Tracker Page</h4>
            </div>
            <div class="col-lg-4">
                <div class="clearfix">
                    <h5 class="m-t-0">Project Name: @ViewBag.ProjectName</h5>
                </div>
            </div>
            <div class="col-md-4 text-right" style="padding-right:35px" ;>
                <a href="@Url.Action("Index", "QualitativeAddTable", new {Id=string.Empty,ProjectId =ViewBag.ProjectId})" class="btn btn-sm btn-inverse width-200">Add New Qualitative Detail</a>
            </div>

        </div>
        <!-- begin panel -->
        <div class="panel pagination-inverse m-b-0 clearfix">

            <table id="data-table" data-order='[[0,"asc"]]' class="table table-bordered table-hover">
                <thead>
                    <tr class="inverse">
                        <th width="5%">Sr No</th>
                        <th>Input</th>
                        <th>Complition%</th>
                        <th>Improve%</th>
                        @*<th data-sorting="disabled" style="pointer-events:none;">Action</th>*@

                    </tr>
                </thead>
            </table>
        </div>
        <!-- end panel -->
    </div>
    <div id="footer" class="footer">
        <span class="pull-right">
            <a href="javascript:;" class="btn-scroll-to-top" data-click="scroll-top">
                <i class="fa fa-arrow-up"></i> <span class="hidden-xs">Back to Top</span>
            </a>
        </span>
        &copy; 2018 <b>Source Admin</b> All Right Reserved
    </div>
    <!-- end #footer -->
</div>
<script>
    $(document).ready(function () {
        var url = '@Url.Action("LoadData", "QualitativeInfoTracker")'
        var Id = '@ViewBag.ProjectId';
        var qualitativeInfoTrackerViewModel = { ProjectId: Id };
       $("#data-table").DataTable({
            "processing": true,
            "serverSide": true,
            "filter": true,
            "orderMulti": false,
            "ajax": {
                "url": url,
                "type": "POST",
                "data": { model: qualitativeInfoTrackerViewModel },
                "datatype": "json",
            },
            "fnRowCallback": function (nRow, aData, iDisplayIndex) {
                $("td:nth-child(1)", nRow).html(iDisplayIndex + 1);
                return nRow;
            },
            "columns": [
                { "data": null },
                { render: function (data, type, full, meta) { return '<a href="/QualitativeAddTable/Index/?Id=' + full.id + '&ProjectId=' + '@ViewBag.ProjectId' + '">' + full.tableName + '</a> '; } },
                { "defaultContent": "10%" },
                { "defaultContent": "10%" },
                //{
                //    ///Project/Edit/'
                //    render: function (data, type, full, meta) { return '<a class="btn btn-default btn-xs btn-rounded p-l-10 p-r-10" href="/Project/Edit/' + full.id + '"><i class="fas fa-edit"></i></a> '; }
                //},

            ]

        });
    });
</script>
